using System.Net.Http.Json;
using System.Text;

namespace FitConnect.RestService;

public abstract class RestCallService {
    private readonly string _baseUrl;

    protected RestCallService(string baseUrl) {
        _baseUrl = baseUrl;
    }

    internal async Task<T?> RestCall<T>(Uri uri, HttpMethod method, string body) {
        var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Accept", "application/json");
        client.DefaultRequestHeaders.Add("Content-Type", "application/json");

        var request = new HttpRequestMessage();
        request.Method = method;
        request.Content = new StringContent(body, Encoding.UTF8, "application/json");
        request.RequestUri = uri;

        var response = await client.SendAsync(request);

        if (response.IsSuccessStatusCode)
            return await response.Content.ReadFromJsonAsync<T>();

        throw new HttpRequestException("Error calling FitConnect API");
    }
}
