# Notes

# TODOS

| interface | implemented | tested | scope              | description                                                                                                                                   |
|:---------:|:-----------:|:------:|:-------------------|-----------------------------------------------------------------------------------------------------------------------------------------------|
|     X     |      X      |   X    | Sender,Subscriber  | Abruf von OAuth-Tokens                                                                                                                        |
|     X     |             |        | Sender             | Prüfung von öffentlichen Schlüsseln und Zertifikatsketten + OCSP-Check (vgl. [#119](https://git.fitko.de/fit-connect/planning/-/issues/119))  |
|     X     |             |        | Sender             | Verschlüsselung von Fachdaten (JSON, XML) mittels JWE                                                                                         |
|     X     |             |        | Sender             | Verschlüsselung von Anhängen (Binärdaten) mittels JWE                                                                                         |
|     X     |             |        | Sender             | Korrekte Erzeugung eines Metadatensatzes inkl. [Hashwerte](https://docs.fitko.de/fit-connect/docs/sending/metadata#integrity)                 |
|     X     |             |        | Subscriber         | Entschlüsselung von Fachdaten (JSON oder XML) mittels JWE                                                                                     |
|     X     |             |        | Subscriber         | Entschlüsselung von Anhängen (Binärdaten) mittels JWE                                                                                         |
|     X     |      X      |        | Subscriber         | Prüfung der empfangenen Metadaten gegen das zugehörige JSON-Schema                                                                            |
|     X     |             |        | Subscriber         | [Prüfung der Hashwerte](https://docs.fitko.de/fit-connect/docs/receiving/verification#integrity) aus dem Metadatensatz.                       |
|     X     |             |        | Subscriber         | SET-Erstellung inkl. Signaturerzeugung                                                                                                        |
|     X     |             |        | Sender, Subscriber | SET-Empfang inkl. Signaturprüfung                                                                                                             |
|     X     |             |        | Sender, Subscriber | Unterstüzung / Abstraktion der API-Nutzung (`fitconnect.sendSubmission(metadata, destinationID, ...)` o.ä.) für die oben genannten Use-Cases  |
|     X     |             |        | Sender, Subscriber | Logging (Logging-Modul muss von außen kommen)                                                                                                 |

## Links

- [SDK-Konzept im Wiki](https://wiki.fit-connect.fitko.dev/de/Konzeption/Konzeption_SDK)
- [inoffizielles Python-SDK](https://github.com/codedust/fitconnect-sdk-python)
- [Project management](https://wiki.fit-connect.fitko.dev/de/PM_PUBLIC/Projektvorgehensmodell)
- [Wiki SDK Description](https://wiki.fit-connect.fitko.dev/de/PM_PUBLIC/Epics/SDK_Initialisierung)
- [Containing GitLab](https://git.fitko.de/)
- [Board filtered for SDK](https://git.fitko.de/fit-connect/planning/-/boards/44?label_name%5B%5D=component%3A%3ASDK)
- [Documentation](https://docs.fitko.de/fit-connect/docs/getting-started/first-steps/)
- [Security Event Token Requirements](https://wiki.fit-connect.fitko.dev/de/Konzeption/Security_Event_Token_Future)
- [glossary](https://docs.fitko.de/fit-connect/docs/glossary/)
